import { ETHInstance } from "dc-ethereum-utils";
import { State } from './index';
export declare class ChannelState {
    private _id;
    private Eth;
    private _session;
    private _totalBet;
    private _profit;
    owner: string;
    state: State;
    playerOpenkey: string;
    bankrollerOpenkey: string;
    deposit: {
        player: number | null;
        bankroller: number | null;
    };
    balance: {
        player: number;
        bankroller: number;
    };
    constructor(eth: ETHInstance, channelId: string, playerOpenkey: string, bankrollerOpenkey: string, playerDeposit: number, bankrollerDeposit: number, owner: string);
    _addTotalBet(userBet: number): void;
    _addTX(profit: number): number;
    getData(): {
        deposits: {
            player: number;
            bankroller: number;
        };
        balance: {
            player: number;
            bankroller: number;
        };
        profit: {
            player: number;
            bankroller: number;
        };
    };
    getSession(): number;
    _sha3state(stateData: State["data"]): any;
    ourStateData(): State["data"];
    createState(bet: number | string, profit: number): State;
    getState(): State["data"];
    hasUnconfirmed(address: string): boolean;
    confirmState(theirState: State, address: string): boolean;
    reset(): void;
}
