/// <reference types="node" />
import { IRsa, GameData, State, ConsentResult, SignedResponse, OpenChannelParams, DAppInstanceParams, IDAppDealerInstance, GetChannelDataParams } from "./index";
import { ChannelState } from "./ChannelState";
import { EventEmitter } from "events";
export declare class DAppDealerInstance extends EventEmitter implements IDAppDealerInstance {
    private _peer;
    private _dealer;
    private _config;
    private _params;
    private _gameLogic;
    Rsa: IRsa;
    channel: any;
    channelId: string;
    channelState: ChannelState;
    playerAddress: string;
    playerDepositWei: string;
    bankrollerDeposit: number;
    bankrollerDepositWei: string;
    constructor(params: DAppInstanceParams);
    eventNames(): string[];
    onPeerEvent(event: string, func: (data: any) => void): void;
    start(): void;
    /**
     * Create structure for recover
     * and recover openkey with structure and signature
     * if recover open key not equal player address
     * throw error
     */
    getOpenChannelData(params: GetChannelDataParams, paramsSignature: string): Promise<SignedResponse<OpenChannelParams>>;
    checkOpenChannel(): Promise<any>;
    callPlay(userBets: number[], gameData: {
        seed: string;
        randomRanges: GameData['randomRanges'];
        custom?: GameData['custom'];
    }, session: number, sign: string): Promise<{
        playResult: import("./interfaces/IDAppInstance").PlayResult;
        randoms: number[];
        rndSig: string;
        state: State;
    }>;
    confirmState(state: State): boolean;
    consentCloseChannel(stateSignature: string): ConsentResult;
    checkCloseChannel(): Promise<any>;
    getView(): {
        deposit: number;
        playerBalance: number;
        bankrollerBalance: number;
        profit: number;
        playerAddress: string;
    };
}
