import { IGameLogic } from "./interfaces/index";
import { Eth } from "dc-ethereum-utils";
import { IConfig } from "dc-configs";
import { DApp } from "./DApp";
import { IMessagingProvider } from "dc-messaging";
import { DAppPlayerInstance } from "./DAppPlayerInstance";
export declare class DAppFactory {
    eth: Eth;
    private _transportProvider;
    private _configuration;
    constructor(transportProvider: IMessagingProvider, configuration?: IConfig);
    create(params: {
        name: string;
        gameLogicFunction: () => IGameLogic;
        gameContractAddress: string;
        gameEth?: Eth;
        rules: any;
    }): Promise<DApp>;
    startClient(params: {
        name: string;
        gameLogicFunction: () => IGameLogic;
        gameContractAddress: string;
        rules: any;
    }): Promise<DAppPlayerInstance>;
    startDealer(params: {
        name: string;
        gameLogicFunction: () => IGameLogic;
        gameContractAddress: string;
        rules: any;
    }): Promise<void>;
}
