/// <reference types="node" />
import { IRsa, ConnectParams, PlayParams, OpenChannelParams, CloseChannelParams, DAppInstanceParams, IDAppPlayerInstance, ChannelStateData } from "./interfaces/index";
import { ChannelState } from "./ChannelState";
import { EventEmitter } from "events";
export declare class DAppPlayerInstance extends EventEmitter implements IDAppPlayerInstance {
    private _peer;
    private _dealer;
    private _config;
    private _params;
    private _gameLogic;
    pRsa: IRsa;
    channelId: string;
    channelState: ChannelState;
    playerAddress: string;
    constructor(params: DAppInstanceParams);
    eventNames(): string[];
    onPeerEvent(event: string, func: (data: any) => void): void;
    start(): Promise<void>;
    getChannelStateData(): ChannelStateData;
    connect(connectData: ConnectParams): Promise<any>;
    openChannel(params: OpenChannelParams, signature: string): Promise<any>;
    play(params: PlayParams): Promise<{
        profit: number;
        data: any;
        randoms: number[];
    }>;
    disconnect(): Promise<any>;
    closeChannel(params: CloseChannelParams, paramsSignature: string): Promise<any>;
    openDispute(): void;
    openDisputeUI(): void;
}
