"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const bn_js_1 = __importDefault(require("bn.js"));
const dc_logging_1 = require("dc-logging");
const dc_ethereum_utils_1 = require("dc-ethereum-utils");
const logger = new dc_logging_1.Logger('RND:');
exports.generateRandom = (ranges, signature) => {
    const randomNumsArray = ranges.map((range, index) => {
        const maxNumber = range[1];
        const minNumber = range[0];
        const minNumberBN = new bn_js_1.default(minNumber.toString(16), 16);
        const delta = maxNumber - minNumber + 1;
        const deltaBN = new bn_js_1.default(delta.toString(16), 16);
        const border = (2 ** (256 - 1) / delta) * delta;
        const borderBN = new bn_js_1.default(border.toString(16), 16);
        let randomhex = dc_ethereum_utils_1.sha3({ t: "bytes", v: dc_ethereum_utils_1.add0x(signature) }, { t: "uint256", v: index });
        let randomBN = new bn_js_1.default(dc_ethereum_utils_1.remove0x(randomhex), 16);
        while (randomBN.cmp(borderBN) >= 0) {
            randomhex = dc_ethereum_utils_1.sha3({ t: "bytes32", v: randomhex });
            randomBN = new bn_js_1.default(dc_ethereum_utils_1.remove0x(randomhex), 16);
        }
        const calcRandom = randomBN.mod(deltaBN).add(minNumberBN);
        const randomUint = parseInt(dc_ethereum_utils_1.add0x(calcRandom.toString(16)), 16);
        logger.debug(`Random number${index} in range ${minNumber}-${maxNumber} = ${randomUint}`);
        return randomUint;
    });
    return randomNumsArray;
};
//# sourceMappingURL=Rnd.js.map