"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const node_rsa_1 = __importDefault(require("node-rsa"));
const dc_ethereum_utils_1 = require("dc-ethereum-utils");
const COMPONENTS_PUBLIC_KEY = "components-public";
class Rsa {
    constructor(params = {}) {
        this._instance = new node_rsa_1.default(params);
    }
    getNE() {
        const { n, e } = this._instance.exportKey(COMPONENTS_PUBLIC_KEY);
        return {
            n: `0x${n.toString("hex")}`,
            e: `0x0${e.toString(16)}`
        };
    }
    setNE({ n, e }) {
        return this._instance.importKey({ n: Buffer.from(dc_ethereum_utils_1.remove0x(n), "hex"), e: parseInt(e, 16) }, COMPONENTS_PUBLIC_KEY);
    }
    sign(msg) {
        return this._instance
            .encryptPrivate(Buffer.from(msg, "utf8"))
            .toString("hex");
    }
    verify(msg, sign) {
        const decryptedMsg = this._instance
            .decryptPublic(Buffer.from(sign, "hex"))
            .toString("utf8");
        return msg === decryptedMsg;
    }
}
exports.Rsa = Rsa;
//# sourceMappingURL=Rsa.js.map