"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const dc_configs_1 = require("dc-configs");
const dc_logging_1 = require("dc-logging");
const dc_ethereum_utils_1 = require("dc-ethereum-utils");
const Rnd_1 = require("../Rnd");
const log = new dc_logging_1.Logger("generateRND:Test:");
const { gasPrice: price, gasLimit: limit, web3HttpProviderUrl: httpProviderUrl, contracts, walletName, privateKey } = dc_configs_1.config.default;
const generateRNDTEST = async (rangeStart, rangeEnd) => {
    const eth = new dc_ethereum_utils_1.Eth({
        walletName,
        httpProviderUrl,
        ERC20ContractInfo: contracts.ERC20,
        gasParams: { price, limit }
    });
    eth.initAccount(privateKey);
    const seed = dc_ethereum_utils_1.makeSeed();
    const hash = eth.signData([{ t: "bytes32", v: seed }]);
    const rnd = Rnd_1.generateRandom([
        [rangeStart, rangeEnd],
        [rangeStart * 2, rangeEnd * 3],
        [rangeStart, rangeEnd * 5]
    ], hash);
    log.debug(rnd);
};
for (let i = 0; i < 10; i++) {
    generateRNDTEST(i, i * 2);
}
//# sourceMappingURL=generateRND.js.map