"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const mocha_1 = require("mocha");
const chai_1 = require("chai");
const crypto_1 = __importDefault(require("crypto"));
const Rsa_1 = require("../Rsa");
const dc_ethereum_utils_1 = require("dc-ethereum-utils");
const dc_logging_1 = require("dc-logging");
const log = new dc_logging_1.Logger("PingService test");
mocha_1.describe("Rsa Tests", () => {
    mocha_1.it("Verify", async () => {
        const fullRsa = new Rsa_1.Rsa();
        const ne = fullRsa.getNE();
        const publicRsa = new Rsa_1.Rsa(null);
        publicRsa.setNE(ne);
        const pne = publicRsa.getNE();
        const msgData = [
            { t: "bytes32", v: crypto_1.default.randomBytes(32).toString("hex") },
            { t: "uint", v: "1" },
            { t: "uint", v: "1000000000000" },
            { t: "uint", v: [1] },
            { t: "bytes32", v: crypto_1.default.randomBytes(32).toString("hex") }
        ];
        const msgHash = dc_ethereum_utils_1.sha3(...msgData);
        const sign = fullRsa.sign(msgHash);
        const verify = publicRsa.verify(msgHash, sign);
        // tslint:disable-next-line:no-unused-expression
        chai_1.expect(verify).to.be.true;
    });
});
//# sourceMappingURL=rsa.mochaTest.js.map